@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";

.container {
  max-width: 540px;
  margin: 0 auto;
}

.header {
  position: relative;
  box-sizing: border-box;
  width: 100%;
  min-height: 100vh;
  padding: 20px 10px;
  background: $header-bg;
  background-size: 400% 400%;
  animation: changeBg 10s ease-in-out infinite;

  &__content {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 20px;
    z-index: 2;

    &__logo {
      margin-left: 5px;
      font-family: $main-family-fonts;
      font-weight: $main-fonts-bold;
      font-size: 30px;
      line-height: 30px;
      text-decoration: none;
      color: $logo-color;
      cursor: pointer;
      transition: 0.3s linear;

      &:hover {
        color: $logo-color-hover;
      }
    }
  }

  &__hamburger {
    font-size: 30px;
    line-height: 30px;
    cursor: pointer;

    &:hover > i {
      color: #fff;
    }
  }

  &__menu {
    position: absolute;
    top: 51px;
    right: 0;
    display: none;
    background: $header-menu-bg_mobile;
    border-radius: 5px;
    transition: 0.3s linear;
    z-index: 999;


    &--active {
      display: block;
    }

    &-list {
      display: flex;
      flex-direction: column;
    }

    &-item {
      border-top: 1px solid black;
      border-bottom: 1px solid black;
    }

    &-link {
      display: block;
      padding: 20px 80px;
      font-family: $main-family-fonts;
      font-weight: $main-fonts-bold;
      font-size: 16px;
      line-height: 16px;
      text-decoration: none;
      color: $link-color;
      cursor: pointer;

      &:hover {
        background: $header-menu-link-color-hover;
        color: $link-color-hover;
      }
    }

  }

  &__contacts {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    z-index: 1;

    &__tel {
      display: flex;
      justify-content: space-between;
      align-items: center;
      background: none;
      border-radius: 15px;

      &:hover {
        background: $header-contacts-bg;
      }
      &-link {
        display: block;
        padding: 10px;
        font-family: $main-family-fonts;
        font-weight: $main-fonts-bold;
        font-size: 13px;
        line-height: 13px;
        text-decoration: none;
        color: $link-color;
        cursor: pointer;

        &:hover {
          color: $tel-color-hover;
        }

        &:hover > i {
          color: $mail-color-hover;
        }
      }

      &-icon {
        font-size: 13px;
        line-height: 13px;
        color: $tel-color;
      }
    }

    &__email {

      display: flex;
      justify-content: space-between;
      align-items: center;
      background: none;
      border-radius: 15px;

      &:hover {
        background: $header-contacts-bg;
      }

      &-link {
        display: block;
        padding: 10px;
        font-family: $main-family-fonts;
        font-weight: $main-fonts-bold;
        font-size: 13px;
        line-height: 13px;
        text-decoration: none;
        color: $link-color;
        cursor: pointer;

        &:hover {
          color: $mail-color-hover;
        }

        &:hover > i {
          color: $mail-color-hover;
        }
      }

      &-icon {
        font-size: 13px;
        line-height: 13px;
        color: $mail-color;
      }
    }
  }


  &__title {
    margin-top: 30%;
    margin-bottom: 30%;

    &-name {
      margin-bottom: 40px;
      font-family: $main-family-fonts;
      font-weight: $main-fonts-bold;
      font-size: 50px;
      color: #000;
      text-align: center;
    }

    &-description {
      position: relative;
      font-family: $main-family-fonts;
      font-weight: $main-fonts-bold;
      font-style: italic;
      font-size: 19px;
      text-align: center;
      -webkit-box-reflect: below -8px linear-gradient(transparent, rgba(0,0,0,0.4));

      & span {
        position: relative;
        display: inline-block;
        animation: jump-animate 2.5s ease-in-out infinite;
        animation-delay: calc(0.1s * var(--i));
      }
    }
  }

  &__socials {
    position: relative;
    z-index: 1;

    &-list {
      display: flex;
      align-items: center;
      padding: 10px;
    }

    &-item {
      margin-right: 10px;

      &-link {
        display: block;
        width: 100%;
        height: 100%;
        font-size: 28px;
        line-height: 30px;
        color: $mail-color;
        cursor: pointer;

        &:hover {
          color: #fff;
        }
      }
    }
  }
}

.animation-wrapper {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.animation-area {

  & li {
    position: absolute;
    bottom: -150px;
    display: block;
    list-style: none;
    width: 25px;
    height: 25px;
    background: rgba(255, 255, 255, 0.4);
    animation: animate 20s linear infinite;

    &:nth-child(1) {
      left: 10%;
      animation-delay: 0s;
    }

    &:nth-child(2) {
      left: 25%;
      width: 40px;
      height: 40px;
      animation-delay: 1.3s;
      animation-duration: 10s;
    }

    &:nth-child(3) {
      left: 36%;
      width: 100px;
      height: 100px;
      animation-delay: 5.5s;
    }

    &:nth-child(4) {
      left: 66%;
      width: 80px;
      height: 80px;
      animation-delay: 2.3s;
    }

    &:nth-child(5) {
      left: 86%;
      width: 30px;
      height: 30px;
      animation-delay: 2.5s;
      animation-duration: 14s;
    }
  }
}

@keyframes jump-animate {
  0% {
    transform: translateY(0px);
  }
  20% {
    transform: translateY(-20px);
  }
  40%, 100% {
    transform: translateY(0px);
  }


}

@keyframes animate {
  0% {
    transform: translateY(0) rotate(0);
    opacity: 1;
  }
  100% {
    transform: translateY(-800px) rotate(360deg);
    opacity: 0;
  }
}

@keyframes changeBg {
  0% {
    background-position: 0 50%;
  }
  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0 50%;
  }
}





